org.apache.cassandra.db.compaction

## Class LegacyLeveledManifest

- java.lang.Object
- - org.apache.cassandra.db.compaction.LegacyLeveledManifest

Deprecated.
since it can be removed in a future revision.

    @Deprecated
    public class LegacyLeveledManifest
    extends java.lang.Object

This class was added to be able to migrate pre-CASSANDRA-4782 leveled manifests into the sstable metadata

### Method Summary

Methods
`static boolean` `manifestNeedsMigration(java.lang.String keyspace, java.lang.String columnFamily)` Deprecated. We need to migrate if there is a legacy leveledmanifest json-file If there is no jsonfile, we can just start as normally, sstable level will be at 0 for all sstables.
`static void` `migrateManifests(java.lang.String keyspace, java.lang.String columnFamily)` Deprecated.
`static void` `snapshotWithoutCFS(java.lang.String keyspace, java.lang.String columnFamily)` Deprecated. Snapshot a CF without having to load the sstables in that directory

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### manifestNeedsMigration

    public static boolean manifestNeedsMigration(java.lang.String keyspace,
                                 java.lang.String columnFamily)

Deprecated.
We need to migrate if there is a legacy leveledmanifest json-file

If there is no jsonfile, we can just start as normally, sstable level will be at 0 for all sstables.

Parameters:
  `keyspace` -
  `columnFamily` -
Returns:

#### migrateManifests

    public static void migrateManifests(java.lang.String keyspace,
                        java.lang.String columnFamily)
                                 throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### snapshotWithoutCFS

    public static void snapshotWithoutCFS(java.lang.String keyspace,
                          java.lang.String columnFamily)
                                   throws java.io.IOException

Deprecated.
Snapshot a CF without having to load the sstables in that directory

Parameters:
  `keyspace` -
  `columnFamily` -
Throws:
  `java.io.IOException`